connections_external_data_list
GET
/api/connections/{connections_pk}/external_data
const url = 'https://example.com/api/connections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/external_data';const options = { method: 'GET', headers: { 'X-Workspace': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/connections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/external_data \ --header 'Authorization: Bearer <token>' \ --header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'Retrieve a list of external data objects through the given connection.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”connections_pk
required
string format: uuid
Connection ID
Header Parameters
Section titled “Header Parameters”X-Workspace
required
string format: uuid
Workspace ID
Query Parameters
Section titled “Query Parameters”ordering
string
Which field to use when ordering the results.
p
integer
A page number within the paginated result set.
page_size
integer
Number of results to return per page.
parent
string
Parent id to filter externalData.
search
string
A search term.
Responses
Section titled “Responses”Media typeapplication/json
object
count
required
integer
next
string format: uri
previous
string format: uri
results
required
Array<object>
Serialize external data attributes for representation.
object
id
required
string
name
required
string
size
required
object
key
additional properties
string
file_extension
required
string
type
required
string
icon
required
string
has_children
required
boolean
Example
{ "count": 123, "next": "http://api.example.org/accounts/?p=4", "previous": "http://api.example.org/accounts/?p=2"}Media typeapplication/json
object
code
required
string
message
required
string
details
required
Array<object>
object
parameter
string
code
string
message
string
Example
{ "code": "plugin_error", "message": "An error occurred in the plugin. Check the `details` property for more details.", "details": [ { "parameter": "connection", "message": "Custom message from the plugin", "code": "authentication_failed" } ]}Media typeapplication/json
object
code
required
string
message
required
string
details
required
Array<object>
object
parameter
string
code
string
message
string
Example
{ "code": "object_not_found", "message": "Object not found. Check the `details` property for more details.", "details": [ { "parameter": "<id>", "code": "does_not_exist", "message": "\"<id>\" does not exist." } ]}
